Skip to main content
GET
/
ai-overviews
/
competitors
/
visibility
Get competitor visibility with trends
curl --request GET \
  --url https://api.beeze.io/v1/ai-overviews/competitors/visibility \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "rank": 123,
      "competitorId": "<string>",
      "name": "<string>",
      "domain": "<string>",
      "isOwnBrand": true,
      "visibility": {
        "current": 123,
        "previous": 123,
        "percentageChange": 123
      },
      "sentiment": {
        "current": 123,
        "previous": 123,
        "percentageChange": 123
      },
      "position": {
        "current": 123,
        "previous": 123,
        "change": 123
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for external Beeze API access

Query Parameters

project
string
required

Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.

Minimum string length: 1
from
string<date>

Start date in YYYY-MM-DD format

to
string<date>

End date in YYYY-MM-DD format

limit
integer
default:10
Required range: 1 <= x <= 50
provider
string
promptId
string<uuid>

Response

Competitor visibility response

data
object[]
required